Package: org.gradle.api.artifacts.maven

## [Java] Interface GroovyMavenDeployer

- org.gradle.api.artifacts.maven.GroovyMavenDeployer

- All Superinterfaces:
    MavenResolver, MavenDeployer, PomFilterContainer, ArtifactRepository

  Adds Groovy configuration convenience methods on top of the MavenDeployer. This class provides also a builder for repository and snapshot-repository:

       mavenUploader.repository(url: 'file://repoDir') {
          authentication(userName: 'myName')
          releases(updatePolicy: 'never')
          snapshots(updatePolicy: 'always')
       }

  This call set the repository object and also returns an instance of this object. If you use 'snapshotRepository' instead of repository, the snapshot repository is build.
  See Also:
    MavenDeployer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface PomFilterContainer` | `DEFAULT_ARTIFACT_POM_NAME`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface MavenDeployer` | `addProtocolProviderJars, getRepository, getSnapshotRepository, isUniqueVersion, setRepository, setSnapshotRepository, setUniqueVersion`
    `interface MavenResolver` | `beforeDeployment, beforeDeployment, getSettings`
    `interface ArtifactRepository` | `getName, setName`
    `interface PomFilterContainer` | `addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, setFilter, setPom`